#include "aliases.h"
#include "mem_arena.h"
#include "mem_utils.h"
#include "pam.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct img Image;
struct img {
  u64 width;
  u64 height;
  u8 *buf;
};

int main(void) {
  Arena *arena = NULL;
  if (!wapp_mem_arena_init(&arena, 10ul * 1024ul * 1024ul * 1024ul,
                           WAPP_MEM_ALLOC_RESERVE, false)) {
    return -1;
  }

  wapp_mem_arena_destroy(&arena);

  return 0;
}
